import React from 'react';
import { Globe } from 'lucide-react';

const filters = [
  { icon: Globe, label: 'All' },
];

interface SearchFiltersProps {
  activeFilter: string;
  onFilterChange: (filter: string) => void;
}

export function SearchFilters({ activeFilter, onFilterChange }: SearchFiltersProps) {
  return (
    <div className="flex space-x-6 border-b border-gray-200 pb-4 mb-6">
      {filters.map(({ icon: Icon, label }) => (
        <button
          key={label}
          onClick={() => onFilterChange(label)}
          className={`flex items-center space-x-2 px-4 py-2 rounded-full transition-colors ${
            activeFilter === label
              ? 'bg-blue-100 text-blue-600'
              : 'text-gray-600 hover:bg-gray-100'
          }`}
        >
          <Icon className="h-4 w-4" />
          <span>{label}</span>
        </button>
      ))}
    </div>
  );
}