import React from 'react';
import { SearchBar } from './SearchBar';
import { Logo } from './Logo';
import { Footer } from './Footer';
import { useNavigation } from '../hooks/useNavigation';

interface SearchHomeProps {
  onSearch: (query: string) => Promise<void>;
}

export function SearchHome({ onSearch }: SearchHomeProps) {
  const { goToAdmin } = useNavigation();

  return (
    <div className="min-h-screen flex flex-col">
      <div className="flex-1 flex flex-col items-center justify-center px-4">
        <div className="mb-8">
          <Logo />
        </div>
        <SearchBar onSearch={onSearch} />
        <button
          onClick={goToAdmin}
          className="mt-8 text-sm text-gray-500 hover:text-gray-700"
        >
          Admin Login
        </button>
      </div>
      <Footer />
    </div>
  );
}