import React, { useState, useEffect } from 'react';
import { LoginPage } from './LoginPage';
import { AdminPanel } from './AdminPanel';
import { getCurrentUser } from '../../services/authService';

export function AdminRoute() {
  const [isAuthenticated, setIsAuthenticated] = useState(false);

  useEffect(() => {
    const user = getCurrentUser();
    if (user) {
      setIsAuthenticated(true);
    }
  }, []);

  const handleLogin = () => {
    setIsAuthenticated(true);
  };

  const handleLogout = () => {
    setIsAuthenticated(false);
  };

  return isAuthenticated ? (
    <AdminPanel onLogout={handleLogout} />
  ) : (
    <LoginPage onLogin={handleLogin} />
  );
}