import { useCallback } from 'react';
import { getBasePath } from '../utils/urlUtils';

export function useNavigation() {
  const basePath = getBasePath();

  const goToHome = useCallback(() => {
    window.history.pushState({}, '', basePath);
    window.dispatchEvent(new PopStateEvent('popstate'));
  }, [basePath]);

  const goToAdmin = useCallback(() => {
    window.history.pushState({}, '', `${basePath}admin`);
    window.dispatchEvent(new PopStateEvent('popstate'));
  }, [basePath]);

  return { goToHome, goToAdmin };
}