import { defineConfig } from 'vite';
import react from '@vitejs/plugin-react';

export default defineConfig({
  plugins: [react()],
  base: './', // Use relative paths
  build: {
    outDir: 'dist',
    assetsDir: 'assets',
    emptyOutDir: true,
    rollupOptions: {
      output: {
        manualChunks: undefined, // Disable code splitting
        assetFileNames: 'assets/[name][extname]', // Simpler asset names
        chunkFileNames: 'assets/[name].js', // Simpler chunk names
        entryFileNames: 'assets/[name].js', // Simpler entry names
      }
    },
    // Generate a single CSS file
    cssCodeSplit: false,
    // Minify output
    minify: 'terser',
    terserOptions: {
      compress: {
        drop_console: true
      }
    }
  },
  optimizeDeps: {
    exclude: ['lucide-react']
  }
});